Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange
Make your voice heard. Take the 2019 Developer Survey now

Questions tagged [database-schema]

The tag has no usage guidance.

2
votes
1answer
120 views

Magento 2 : Please upgrade your database while database is newer than required

I am getting this error when moving Magento 2 website to Google Cloud (Click to Deploy). I have merged theme files and media files and it worked fine. When I have connected to my old database it ...
0
votes
0answers
23 views

I need to create a new module to table exists with another prefix of mam

I need to create a new module and this project have tables with other prefixes, How I omit this default prefix in my file /Model/ModelTable.php this is the code inside: namespace Arkix\Zonas\Model\...
1
vote
2answers
124 views

How to create custom table in magento 2.3(via XML) by module?

After reading change log for Magento2.3, I come to know now onward in Magento we can add custom table via xml. so there would be no PHP way to create a table. So can any one tell me how can I add a ...
5
votes
2answers
534 views

Magento 2.3 : How to implement declarative schema in custom module

I install the magento 2.3 and I'm creating custom module. But, I don't know how to create custom database in magento 2.3 version. Anyone please help me. Thanks in advance.
0
votes
1answer
32 views

How to delete table from mysql when uninstall extension frommagento 2.2.6?

I have created an extension with the schema. It is installed correctly and tables are created correctly in the database. But, now I want to uninstall that extension. But with uninstall, I also want ...
0
votes
1answer
52 views

Customer_Eav db schema version is not properly set

I am using Magento 2.2.5 and getting this error. 1 exception(s): Exception #0 (Magento\Framework\Exception\LocalizedException): Please update your modules: Run "composer install" from the Magento ...